Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
special declaration of snprintf on Visual C++
[simgrid.git] / configure
index ee85e87..4733b6c 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
-# From configure.ac Revision: 4740 .
+# From configure.ac Revision: 4976 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for simgrid 3.3-cvs.
+# Generated by GNU Autoconf 2.61 for simgrid 3.3-svn.
 #
 # Report bugs to <simgrid-devel@lists.gforge.inria.fr>.
 #
@@ -731,8 +731,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='simgrid'
 PACKAGE_TARNAME='simgrid'
-PACKAGE_VERSION='3.3-cvs'
-PACKAGE_STRING='simgrid 3.3-cvs'
+PACKAGE_VERSION='3.3-svn'
+PACKAGE_STRING='simgrid 3.3-svn'
 PACKAGE_BUGREPORT='simgrid-devel@lists.gforge.inria.fr'
 
 ac_unique_file="include/gras.h"
@@ -1447,7 +1447,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures simgrid 3.3-cvs to adapt to many kinds of systems.
+\`configure' configures simgrid 3.3-svn to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1518,7 +1518,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of simgrid 3.3-cvs:";;
+     short | recursive ) echo "Configuration of simgrid 3.3-svn:";;
    esac
   cat <<\_ACEOF
 
@@ -1636,7 +1636,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-simgrid configure 3.3-cvs
+simgrid configure 3.3-svn
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1650,7 +1650,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by simgrid $as_me 3.3-cvs, which was
+It was created by simgrid $as_me 3.3-svn, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -2702,7 +2702,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE='simgrid'
- VERSION='3.3-cvs'
+ VERSION='3.3-svn'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -19445,6 +19445,15 @@ LIBTOOL='$(SHELL) $(top_builddir)/libtool'
 
 
 
+
+###############
+## SVN version check
+##
+if test -e .svn ; then
+  VERSION="$VERSION-r`svnversion`"
+  PACKAGE_VERSION="$PACKAGE_VERSION-r`svnversion`"
+  PACKAGE_STRING="PACKAGE_STRING r`svnversion`"
+fi
 
 ###############
 ## System checks
@@ -24517,126 +24526,91 @@ else
 fi
 
 
-
-if test ".$mcsc" = .yes; then
-   mcsc=yes
-elif test ".$pthread" = .yes; then
-   pthread=yes
-else
-    ac_header=windows.h
-    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-    if test `eval echo '${'$as_ac_Header'}'` = yes; then
-      windows_context=yes
-    else
-      { { echo "$as_me:$LINENO: error: no appropriate backend found" >&5
-echo "$as_me: error: no appropriate backend found" >&2;}
-   { (exit 1); exit 1; }; }
-    fi
-fi
- if test x$windows_context = xyes; then
-  IS_WINDOWS_TRUE=
-  IS_WINDOWS_FALSE='#'
+if test x$pthread = xyes ; then
+  { echo "$as_me:$LINENO: checking for sem_init in -lpthread" >&5
+echo $ECHO_N "checking for sem_init in -lpthread... $ECHO_C" >&6; }
+if test "${ac_cv_lib_pthread_sem_init+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  IS_WINDOWS_TRUE='#'
-  IS_WINDOWS_FALSE=
-fi
-
-
-
-
-{ echo "$as_me:$LINENO: checking what kind of backend should we use" >&5
-echo $ECHO_N "checking what kind of backend should we use... $ECHO_C" >&6; }
-
-
-# Check whether --with-pthread was given.
-if test "${with_pthread+set}" = set; then
-  withval=$with_pthread; with_context=pthread
-fi
-
-
-# Check whether --with-pthread was given.
-if test "${with_pthread+set}" = set; then
-  withval=$with_pthread; with_context=pthread
-fi
-
-
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpthread  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
 
-# Check whether --with-context was given.
-if test "${with_context+set}" = set; then
-  withval=$with_context;
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sem_init ();
+int
+main ()
+{
+return sem_init ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_pthread_sem_init=yes
 else
-  with_context=auto
-fi
-
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-if test "x$with_context$mcsc" = "xucontextno" ; then
-  { { echo "$as_me:$LINENO: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&5
-echo "$as_me: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&2;}
-   { (exit 77); exit 77; }; }
+       ac_cv_lib_pthread_sem_init=no
 fi
 
-case $with_context in
- ucontext) ;;
- pthread) ;;
- pthreads) ;;
- windows) ;;
- auto) with_context=ucontext;;
- *) { { echo "$as_me:$LINENO: error: --with-context must be either ucontext or pthread" >&5
-echo "$as_me: error: --with-context must be either ucontext or pthread" >&2;}
-   { (exit 1); exit 1; }; } ;;
-esac
-
-if test "x$with_context" = "xucontext" ; then
-  if test ".$mcsc" = .yes; then
-    { echo "$as_me:$LINENO: result: found working ucontext. Great!" >&5
-echo "${ECHO_T}found working ucontext. Great!" >&6; }
-
-cat >>confdefs.h <<\_ACEOF
-#define CONTEXT_UCONTEXT 1
-_ACEOF
-
-  else
-    if test ".$windows_context" = .yes ; then
-      { echo "$as_me:$LINENO: result: use windows context portability layer." >&5
-echo "${ECHO_T}use windows context portability layer." >&6; }
-      with_context=windows
-    else
-      { echo "$as_me:$LINENO: result: no working ucontext found. Try pthreads as a fallback" >&5
-echo "${ECHO_T}no working ucontext found. Try pthreads as a fallback" >&6; }
-      with_context=pthread
-    fi
-  fi
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
 fi
-
-if test "x$with_context" = "xpthreads"; then
-  with_context=pthread
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_sem_init" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_sem_init" >&6; }
+if test $ac_cv_lib_pthread_sem_init = yes; then
+  HAVE_SEM_INIT=yes
+else
+  HAVE_SEM_INIT=no
 fi
-if test "x$with_context" = "xpthread"; then
 
-for ac_header in pthread.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  { echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
-else
-  # Is the header compilable?
-{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
+  if test ${HAVE_SEM_INIT} = yes ; then
+     { echo "$as_me:$LINENO: checking if sem_init is compilable" >&5
+echo $ECHO_N "checking if sem_init is compilable... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
+#include <semaphore.h>
+int
+main ()
+{
+sem_t s; sem_init(&s);
+  ;
+  return 0;
+}
 _ACEOF
 rm -f conftest.$ac_objext
 if { (ac_try="$ac_compile"
@@ -24655,112 +24629,156 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
        } && test -s conftest.$ac_objext; then
-  ac_header_compiler=yes
+  HAVE_SEM_INIT=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_header_compiler=no
+       HAVE_SEM_INIT=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
+     if test ${HAVE_SEM_INIT} = yes ; then
 
-# Is the header present?
-{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SEM_INIT 1
+_ACEOF
+
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+     else
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+     fi
+  fi
+  { echo "$as_me:$LINENO: checking for sem_timedwait in -lpthread" >&5
+echo $ECHO_N "checking for sem_timedwait in -lpthread... $ECHO_C" >&6; }
+if test "${ac_cv_lib_pthread_sem_timedwait+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lpthread  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#include <$ac_header>
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char sem_timedwait ();
+int
+main ()
+{
+return sem_timedwait ();
+  ;
+  return 0;
+}
 _ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
 case "(($ac_try" in
   *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
   *) ac_try_echo=$ac_try;;
 esac
 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null && {
-        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
-       }; then
-  ac_header_preproc=yes
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_pthread_sem_timedwait=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-  ac_header_preproc=no
+       ac_cv_lib_pthread_sem_timedwait=no
 fi
 
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    ( cat <<\_ASBOX
-## -------------------------------------------------- ##
-## Report this to simgrid-devel@lists.gforge.inria.fr ##
-## -------------------------------------------------- ##
-_ASBOX
-     ) | sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-{ echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
-if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_sem_timedwait" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_sem_timedwait" >&6; }
+if test $ac_cv_lib_pthread_sem_timedwait = yes; then
+  HAVE_SEM_TIMEDWAIT=yes
 else
-  eval "$as_ac_Header=\$ac_header_preproc"
+  HAVE_SEM_TIMEDWAIT=no
 fi
-ac_res=`eval echo '${'$as_ac_Header'}'`
-              { echo "$as_me:$LINENO: result: $ac_res" >&5
-echo "${ECHO_T}$ac_res" >&6; }
 
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+  if test ${HAVE_SEM_TIMEDWAIT} = yes ; then
+     { echo "$as_me:$LINENO: checking if sem_timedwait is compilable" >&5
+echo $ECHO_N "checking if sem_timedwait is compilable... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <semaphore.h>
+int
+main ()
+{
+sem_t *s; const struct timespec * t; sem_timedwait(s, t);
+  ;
+  return 0;
+}
 _ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  HAVE_SEM_TIMEDWAIT=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+       HAVE_SEM_TIMEDWAIT=no
 fi
 
-done
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+     if test ${HAVE_SEM_TIMEDWAIT} = yes ; then
 
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_SEM_TIMEDWAIT 1
+_ACEOF
 
-{ echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
-echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6; }
-if test "${ac_cv_lib_pthread_pthread_create+set}" = set; then
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+     else
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+     fi
+  fi
+
+  { echo "$as_me:$LINENO: checking for pthread_mutex_timedlock in -lpthread" >&5
+echo $ECHO_N "checking for pthread_mutex_timedlock in -lpthread... $ECHO_C" >&6; }
+if test "${ac_cv_lib_pthread_pthread_mutex_timedlock+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
@@ -24778,11 +24796,11 @@ cat >>conftest.$ac_ext <<_ACEOF
 #ifdef __cplusplus
 extern "C"
 #endif
-char pthread_create ();
+char pthread_mutex_timedlock ();
 int
 main ()
 {
-return pthread_create ();
+return pthread_mutex_timedlock ();
   ;
   return 0;
 }
@@ -24805,34 +24823,185 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_pthread_pthread_create=yes
+  ac_cv_lib_pthread_pthread_mutex_timedlock=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_pthread_pthread_create=no
+       ac_cv_lib_pthread_pthread_mutex_timedlock=no
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_create" >&5
-echo "${ECHO_T}$ac_cv_lib_pthread_pthread_create" >&6; }
-if test $ac_cv_lib_pthread_pthread_create = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define HAVE_LIBPTHREAD 1
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_pthread_mutex_timedlock" >&5
+echo "${ECHO_T}$ac_cv_lib_pthread_pthread_mutex_timedlock" >&6; }
+if test $ac_cv_lib_pthread_pthread_mutex_timedlock = yes; then
+  HAVE_MUTEX_TIMEDLOCK=yes
+else
+  HAVE_MUTEX_TIMEDLOCK=no
+fi
+
+  if test ${HAVE_MUTEX_TIMEDLOCK} = yes ; then
+     { echo "$as_me:$LINENO: checking if pthread_mutex_timedlock is compilable" >&5
+echo $ECHO_N "checking if pthread_mutex_timedlock is compilable... $ECHO_C" >&6; }
+     cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <pthread.h>
+int
+main ()
+{
+pthread_mutex_t s; const struct timespec t; sem_timedlock(&s, &t);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  HAVE_MUTEX_TIMEDLOCK=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       HAVE_MUTEX_TIMEDLOCK=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+     if test ${HAVE_MUTEX_TIMEDLOCK} = yes ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_MUTEX_TIMEDLOCK 1
 _ACEOF
 
-  LIBS="-lpthread $LIBS"
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+     else
+       { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+     fi
+  fi
+fi
 
+
+if test ".$mcsc" = .yes; then
+   # ucontext found
+   mcsc=yes
+elif test ".$pthread" = .yes; then
+   # ucontext not found, but pthread found
+   pthread=yes
 else
-  { { echo "$as_me:$LINENO: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&5
-echo "$as_me: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&2;}
+    ac_header=windows.h
+    as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+    if test `eval echo '${'$as_ac_Header'}'` = yes; then
+      windows_context=yes
+    else
+      { { echo "$as_me:$LINENO: error: no appropriate backend found" >&5
+echo "$as_me: error: no appropriate backend found" >&2;}
    { (exit 1); exit 1; }; }
+    fi
+fi
+ if test x$windows_context = xyes; then
+  IS_WINDOWS_TRUE=
+  IS_WINDOWS_FALSE='#'
+else
+  IS_WINDOWS_TRUE='#'
+  IS_WINDOWS_FALSE=
+fi
+
+
+
+
+{ echo "$as_me:$LINENO: checking what kind of backend should we use" >&5
+echo $ECHO_N "checking what kind of backend should we use... $ECHO_C" >&6; }
+
+
+# Check whether --with-pthread was given.
+if test "${with_pthread+set}" = set; then
+  withval=$with_pthread; with_context=pthread
+fi
+
+
+# Check whether --with-pthread was given.
+if test "${with_pthread+set}" = set; then
+  withval=$with_pthread; with_context=pthread
+fi
+
+
+
+# Check whether --with-context was given.
+if test "${with_context+set}" = set; then
+  withval=$with_context;
+else
+  with_context=auto
 fi
 
 
+if test "x$with_context$mcsc" = "xucontextno" ; then
+  { { echo "$as_me:$LINENO: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&5
+echo "$as_me: error: --with-context=ucontext specified but ucontext unusable. Relaunch configure without this argument." >&2;}
+   { (exit 77); exit 77; }; }
+fi
+
+case $with_context in
+ ucontext) ;;
+ pthread) ;;
+ pthreads) ;;
+ windows) ;;
+ auto) with_context=ucontext;;
+ *) { { echo "$as_me:$LINENO: error: --with-context must be either ucontext or pthread" >&5
+echo "$as_me: error: --with-context must be either ucontext or pthread" >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
+
+if test "x$with_context" = "xucontext" ; then
+  if test ".$mcsc" = .yes; then
+    { echo "$as_me:$LINENO: result: found working ucontext. Great!" >&5
+echo "${ECHO_T}found working ucontext. Great!" >&6; }
+
+cat >>confdefs.h <<\_ACEOF
+#define CONTEXT_UCONTEXT 1
+_ACEOF
+
+  else
+    if test ".$windows_context" = .yes ; then
+      { echo "$as_me:$LINENO: result: use windows context portability layer." >&5
+echo "${ECHO_T}use windows context portability layer." >&6; }
+      with_context=windows
+    else
+      { echo "$as_me:$LINENO: result: no working ucontext found. Try pthreads as a fallback" >&5
+echo "${ECHO_T}no working ucontext found. Try pthreads as a fallback" >&6; }
+      with_context=pthread
+    fi
+  fi
+fi
+
+if test "x$with_context" = "xpthread"; then
+  if test x$pthread != xyes ; then # reuse previous checks
+    { { echo "$as_me:$LINENO: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&5
+echo "$as_me: error: Cannot find pthreads (try --with-context=ucontext if you haven't already tried)." >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+
 cat >>confdefs.h <<\_ACEOF
 #define CONTEXT_THREADS 1
 _ACEOF
@@ -26025,8 +26194,6 @@ else
   disable_java=yes
 fi
 
-{ echo "$as_me:$LINENO: checking whether to compile java bindings" >&5
-echo $ECHO_N "checking whether to compile java bindings... $ECHO_C" >&6; }
 if test "x$disable_java" != "xyes" ; then
    use_java="disabled by user"
 else
@@ -26304,12 +26471,17 @@ done
      && test "x$ac_cv_header_jni_h" = "xyes" ; then
 
      use_java="yes"
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_JAVA 1
+_ACEOF
+
   else
      use_java="no"
   fi
 fi
-{ echo "$as_me:$LINENO: result: $use_java" >&5
-echo "${ECHO_T}$use_java" >&6; }
+{ echo "$as_me:$LINENO: result: decide whether to compile java bindings... $use_java" >&5
+echo "${ECHO_T}decide whether to compile java bindings... $use_java" >&6; }
  if test "x$use_java" = "xyes"; then
   HAVE_JAVA_TRUE=
   HAVE_JAVA_FALSE='#'
@@ -26319,6 +26491,7 @@ else
 fi
 
 
+
 #####################
 ## Check for programs
 ##
@@ -26805,7 +26978,7 @@ fi
 
 
 if test x$MD5SUM != xno ; then
-  build_version=`find -name '*.ch' |grep -v src/ucontext_stack.h | grep -v src/gras_config.h |\
+  build_version=`find -name '*.ch' |grep -v src/ucontext_stack.h | grep -v src/gras_config.h |\
                  xargs cat| $MD5SUM | sed 's/ .*$//'`
 else
   build_version="no_md5sum_binary"
@@ -26867,7 +27040,7 @@ ac_config_files="$ac_config_files doc/Makefile doc/Doxyfile"
 ac_config_files="$ac_config_files examples/java/Makefile examples/java/basic/Makefile examples/java/comm_time/Makefile examples/java/suspend/Makefile examples/java/ping_pong/Makefile"
 
 
-ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile"
+ac_config_files="$ac_config_files examples/Makefile examples/msg/Makefile examples/simdag/Makefile examples/gras/Makefile examples/gras/ping/Makefile examples/gras/rpc/Makefile examples/gras/spawn/Makefile examples/gras/synchro/Makefile examples/gras/timer/Makefile examples/gras/properties/Makefile examples/gras/chrono/Makefile examples/gras/mutual_exclusion/simple_token/Makefile examples/gras/mmrpc/Makefile examples/gras/pmm/Makefile examples/gras/all2all/Makefile examples/amok/Makefile"
 
 
 ac_config_files="$ac_config_files src/smpi/smpicc src/smpi/smpirun"
@@ -27376,7 +27549,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by simgrid $as_me 3.3-cvs, which was
+This file was extended by simgrid $as_me 3.3-svn, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -27429,7 +27602,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-simgrid config.status 3.3-cvs
+simgrid config.status 3.3-svn
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -27572,6 +27745,7 @@ do
     "examples/gras/spawn/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/spawn/Makefile" ;;
     "examples/gras/synchro/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/synchro/Makefile" ;;
     "examples/gras/timer/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/timer/Makefile" ;;
+    "examples/gras/properties/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/properties/Makefile" ;;
     "examples/gras/chrono/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/chrono/Makefile" ;;
     "examples/gras/mutual_exclusion/simple_token/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/mutual_exclusion/simple_token/Makefile" ;;
     "examples/gras/mmrpc/Makefile") CONFIG_FILES="$CONFIG_FILES examples/gras/mmrpc/Makefile" ;;